Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2220234

Summary: F39FailsToInstall: python3-flask-login
Product: [Fedora] Fedora Reporter: Fedora Fails To Install <fti-bugs>
Component: python-flask-loginAssignee: Sandro Mani <manisandro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: manisandro
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-flask-login-0.6.2-4.fc39 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-07-10 10:52:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2189658    
Bug Blocks: 2168845, 2135404, 2220051, 2220056, 2220236, 2220496    

Description Fedora Fails To Install 2023-07-05 19:12:11 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (python-flask-login) Fails To Install in Fedora 39:

can't install python3-flask-login:
  - nothing provides python(abi) = 3.11 needed by python3-flask-login-0.6.2-2.fc39.noarch
  - nothing provides python3.11dist(flask) >= 1.0.4 needed by python3-flask-login-0.6.2-2.fc39.noarch
  - nothing provides python3.11dist(werkzeug) >= 1.0.1 needed by python3-flask-login-0.6.2-2.fc39.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install python3-flask-login


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Sandro Mani 2023-07-07 10:34:18 UTC
Need werkzeug-2.3.6 with [1]

[1] https://github.com/pallets/werkzeug/issues/2704

Comment 2 Fedora Update System 2023-07-10 10:50:20 UTC
FEDORA-2023-afe1689487 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-afe1689487

Comment 3 Fedora Update System 2023-07-10 10:52:04 UTC
FEDORA-2023-afe1689487 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.